Package org.apache.solr.common.params

## Class MapSolrParams

- java.lang.Object
- - org.apache.solr.common.params.SolrParams
  - - org.apache.solr.common.params.MapSolrParams

All Implemented Interfaces:
  `Serializable`, `Iterable<Map.Entry<String,​String[]>>`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

    public class MapSolrParams
    extends SolrParams

`SolrParams` implementation that can be built from and is backed by a `Map`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`protected Map<String,​String>` `map`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`MapSolrParams​(Map<String,​String> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `get​(String name)` Returns the first String value of a param, or null if not set.
`Map<String,​String>` `getMap()`
`Iterator<String>` `getParameterNamesIterator()` Returns an Iterator over the parameter names.
`String[]` `getParams​(String name)` returns an array of the String values of a param, or null if no mapping for the param exists.

### Methods inherited from class org.apache.solr.common.params.SolrParams

`fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, getLong, getLong, getPrimitiveBool, getPrimitiveFieldBool, getPrimitiveFieldFloat, getPrimitiveInt, iterator, required, stream, toLocalParamsString, toNamedList, toQueryString, toString, wrapAppended, wrapDefaults, writeMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _get, _getStr, _getStr, _getStr, _size`

### Field Detail

#### map

    protected final Map<String,​String> map

### Constructor Detail

#### MapSolrParams

    public MapSolrParams​(Map<String,​String> map)

### Method Detail

#### get

    public String get​(String name)

Description copied from class: `SolrParams`
Returns the first String value of a param, or null if not set. To get all, call `SolrParams.getParams(String)` instead.

Specified by:
  `get` in class `SolrParams`

#### getParams

    public String[] getParams​(String name)

Description copied from class: `SolrParams`
returns an array of the String values of a param, or null if no mapping for the param exists.

Specified by:
  `getParams` in class `SolrParams`

#### getParameterNamesIterator

    public Iterator<String> getParameterNamesIterator()

Description copied from class: `SolrParams`
Returns an Iterator over the parameter names. If you were to call a getter for this parameter, you should get a non-null value. Since you probably want the value, consider using Java 5 for-each style instead for convenience since a SolrParams implements `Iterable`.

Specified by:
  `getParameterNamesIterator` in class `SolrParams`

#### getMap

    public Map<String,​String> getMap()